package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.Wtur;

import java.util.List;

/**
 * WturService接口
 *
 * @author hlf
 * @date 2021-08-02
 */
public interface IWturService {
    /**
     * 查询Wtur
     *
     * @param wturNo WturID
     * @return Wtur
     */
    public Wtur selectWturById(Long wturNo);

    /**
     * 查询Wtur列表
     *
     * @param wtur Wtur
     * @return Wtur集合
     */
    public List<Wtur> selectWturList(Wtur wtur);

    /**
     * 新增Wtur
     *
     * @param wtur Wtur
     * @return 结果
     */
    public int insertWtur(Wtur wtur);

    /**
     * 修改Wtur
     *
     * @param wtur Wtur
     * @return 结果
     */
    public int updateWtur(Wtur wtur);

    /**
     * 删除Wtur信息
     *
     * @param wturNo WturID
     * @return 结果
     */
    public int deleteWturById(Long wturNo);

    /**
     * 批量删除Wtur
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWturByIds(String ids);

    List<Wtur> selectWturListByWindplantNo(Long windplantNo);

    Long selectNewData();

    int insertWturList(List<Wtur> wturList);
}
